Subject: Re: linux-next: manual merge of the tip tree with the cputime tree

From: Peter Zijlstra <[email-masked]>
Date: Mon, 19 Dec 2011 15:08:43 +0100

On Mon, 2011-12-19 at 13:31 +0100, Martin Schwidefsky wrote:
> Just one question: are you sure that you want the cpustat array
> to be u64 instead of cputime64_t? The content of the cpustat array is defined
> by the architecture semantics of cputime64_t, for CONFIG_VIRT_CPU_ACCOUNTING=y
> this is not a jiffy counter. If the array is u64 we won't get the sparse
> checking when reading from cpustat. 

So as Glauber said the reason was that we wanted to use simply
operators, and IIRC he wanted to add a few fields that had to be u64.

I'm not sure what the current plans are wrt adding more fields, but with
your work cputime_t should again be a simple type and thus regular math
operators should work again, right?

Glauber, do you still need to add fields?